package com.mortals.xhx.module.feedback.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.feedback.model.FeedbackEntity;
/**
 * 绩效反馈记录信息查询对象
 *
 * @author zxfei
 * @date 2023-07-07
 */
public class FeedbackQuery extends FeedbackEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 问卷标题 */
    private List<String> titleList;

    /** 问卷标题排除列表 */
    private List <String> titleNotList;
    /** 开始 反馈开始时间 */
    private String feedbackTimeStartStart;

    /** 结束 反馈开始时间 */
    private String feedbackTimeStartEnd;

    /** 开始 反馈结束时间 */
    private String feedbackTimeEndStart;

    /** 结束 反馈结束时间 */
    private String feedbackTimeEndEnd;

    /** 开始 邀请人数 */
    private Integer inviteNumStart;

    /** 结束 邀请人数 */
    private Integer inviteNumEnd;

    /** 增加 邀请人数 */
    private Integer inviteNumIncrement;

    /** 邀请人数列表 */
    private List <Integer> inviteNumList;

    /** 邀请人数排除列表 */
    private List <Integer> inviteNumNotList;

    /** 开始 反馈人数 */
    private Integer feedbackNumStart;

    /** 结束 反馈人数 */
    private Integer feedbackNumEnd;

    /** 增加 反馈人数 */
    private Integer feedbackNumIncrement;

    /** 反馈人数列表 */
    private List <Integer> feedbackNumList;

    /** 反馈人数排除列表 */
    private List <Integer> feedbackNumNotList;

    /** 开始 状态 (0.未开始,1.进行中,2.已结束) */
    private Integer processStatusStart;

    /** 结束 状态 (0.未开始,1.进行中,2.已结束) */
    private Integer processStatusEnd;

    /** 增加 状态 (0.未开始,1.进行中,2.已结束) */
    private Integer processStatusIncrement;

    /** 状态 (0.未开始,1.进行中,2.已结束)列表 */
    private List <Integer> processStatusList;

    /** 状态 (0.未开始,1.进行中,2.已结束)排除列表 */
    private List <Integer> processStatusNotList;

    /** 开始 问卷是否外链(0.否,1.是) */
    private Integer weblinkStart;

    /** 结束 问卷是否外链(0.否,1.是) */
    private Integer weblinkEnd;

    /** 增加 问卷是否外链(0.否,1.是) */
    private Integer weblinkIncrement;

    /** 问卷是否外链(0.否,1.是)列表 */
    private List <Integer> weblinkList;

    /** 问卷是否外链(0.否,1.是)排除列表 */
    private List <Integer> weblinkNotList;

    /** 问题外链地址 */
    private List<String> webUrlList;

    /** 问题外链地址排除列表 */
    private List <String> webUrlNotList;
    /** 备注说明 */
    private List<String> remarkList;

    /** 备注说明排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 表单内容 */
    private List<String> formContentList;

    /** 表单内容排除列表 */
    private List <String> formContentNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FeedbackQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FeedbackQuery> andConditionList;

    public FeedbackQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 问卷标题
     * @return titleList
     */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
     * 设置 问卷标题
     * @param titleList
     */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }

    /**
     * 获取 问卷标题
     * @return titleNotList
     */
    public List<String> getTitleNotList(){
        return this.titleNotList;
    }

    /**
     * 设置 问卷标题
     * @param titleNotList
     */
    public void setTitleNotList(List<String> titleNotList){
        this.titleNotList = titleNotList;
    }

    /**
     * 获取 开始 反馈开始时间
     * @return feedbackTimeStartStart
     */
    public String getFeedbackTimeStartStart(){
        return this.feedbackTimeStartStart;
    }

    /**
     * 设置 开始 反馈开始时间
     * @param feedbackTimeStartStart
     */
    public void setFeedbackTimeStartStart(String feedbackTimeStartStart){
        this.feedbackTimeStartStart = feedbackTimeStartStart;
    }

    /**
     * 获取 结束 反馈开始时间
     * @return feedbackTimeStartEnd
     */
    public String getFeedbackTimeStartEnd(){
        return this.feedbackTimeStartEnd;
    }

    /**
     * 设置 结束 反馈开始时间
     * @param feedbackTimeStartEnd
     */
    public void setFeedbackTimeStartEnd(String feedbackTimeStartEnd){
        this.feedbackTimeStartEnd = feedbackTimeStartEnd;
    }

    /**
     * 获取 开始 反馈结束时间
     * @return feedbackTimeEndStart
     */
    public String getFeedbackTimeEndStart(){
        return this.feedbackTimeEndStart;
    }

    /**
     * 设置 开始 反馈结束时间
     * @param feedbackTimeEndStart
     */
    public void setFeedbackTimeEndStart(String feedbackTimeEndStart){
        this.feedbackTimeEndStart = feedbackTimeEndStart;
    }

    /**
     * 获取 结束 反馈结束时间
     * @return feedbackTimeEndEnd
     */
    public String getFeedbackTimeEndEnd(){
        return this.feedbackTimeEndEnd;
    }

    /**
     * 设置 结束 反馈结束时间
     * @param feedbackTimeEndEnd
     */
    public void setFeedbackTimeEndEnd(String feedbackTimeEndEnd){
        this.feedbackTimeEndEnd = feedbackTimeEndEnd;
    }

    /**
     * 获取 开始 邀请人数
     * @return inviteNumStart
     */
    public Integer getInviteNumStart(){
        return this.inviteNumStart;
    }

    /**
     * 设置 开始 邀请人数
     * @param inviteNumStart
     */
    public void setInviteNumStart(Integer inviteNumStart){
        this.inviteNumStart = inviteNumStart;
    }

    /**
     * 获取 结束 邀请人数
     * @return $inviteNumEnd
     */
    public Integer getInviteNumEnd(){
        return this.inviteNumEnd;
    }

    /**
     * 设置 结束 邀请人数
     * @param inviteNumEnd
     */
    public void setInviteNumEnd(Integer inviteNumEnd){
        this.inviteNumEnd = inviteNumEnd;
    }

    /**
     * 获取 增加 邀请人数
     * @return inviteNumIncrement
     */
    public Integer getInviteNumIncrement(){
        return this.inviteNumIncrement;
    }

    /**
     * 设置 增加 邀请人数
     * @param inviteNumIncrement
     */
    public void setInviteNumIncrement(Integer inviteNumIncrement){
        this.inviteNumIncrement = inviteNumIncrement;
    }

    /**
     * 获取 邀请人数
     * @return inviteNumList
     */
    public List<Integer> getInviteNumList(){
        return this.inviteNumList;
    }

    /**
     * 设置 邀请人数
     * @param inviteNumList
     */
    public void setInviteNumList(List<Integer> inviteNumList){
        this.inviteNumList = inviteNumList;
    }

    /**
     * 获取 邀请人数
     * @return inviteNumNotList
     */
    public List<Integer> getInviteNumNotList(){
        return this.inviteNumNotList;
    }

    /**
     * 设置 邀请人数
     * @param inviteNumNotList
     */
    public void setInviteNumNotList(List<Integer> inviteNumNotList){
        this.inviteNumNotList = inviteNumNotList;
    }


    /**
     * 获取 开始 反馈人数
     * @return feedbackNumStart
     */
    public Integer getFeedbackNumStart(){
        return this.feedbackNumStart;
    }

    /**
     * 设置 开始 反馈人数
     * @param feedbackNumStart
     */
    public void setFeedbackNumStart(Integer feedbackNumStart){
        this.feedbackNumStart = feedbackNumStart;
    }

    /**
     * 获取 结束 反馈人数
     * @return $feedbackNumEnd
     */
    public Integer getFeedbackNumEnd(){
        return this.feedbackNumEnd;
    }

    /**
     * 设置 结束 反馈人数
     * @param feedbackNumEnd
     */
    public void setFeedbackNumEnd(Integer feedbackNumEnd){
        this.feedbackNumEnd = feedbackNumEnd;
    }

    /**
     * 获取 增加 反馈人数
     * @return feedbackNumIncrement
     */
    public Integer getFeedbackNumIncrement(){
        return this.feedbackNumIncrement;
    }

    /**
     * 设置 增加 反馈人数
     * @param feedbackNumIncrement
     */
    public void setFeedbackNumIncrement(Integer feedbackNumIncrement){
        this.feedbackNumIncrement = feedbackNumIncrement;
    }

    /**
     * 获取 反馈人数
     * @return feedbackNumList
     */
    public List<Integer> getFeedbackNumList(){
        return this.feedbackNumList;
    }

    /**
     * 设置 反馈人数
     * @param feedbackNumList
     */
    public void setFeedbackNumList(List<Integer> feedbackNumList){
        this.feedbackNumList = feedbackNumList;
    }

    /**
     * 获取 反馈人数
     * @return feedbackNumNotList
     */
    public List<Integer> getFeedbackNumNotList(){
        return this.feedbackNumNotList;
    }

    /**
     * 设置 反馈人数
     * @param feedbackNumNotList
     */
    public void setFeedbackNumNotList(List<Integer> feedbackNumNotList){
        this.feedbackNumNotList = feedbackNumNotList;
    }


    /**
     * 获取 开始 状态 (0.未开始,1.进行中,2.已结束)
     * @return processStatusStart
     */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
     * 设置 开始 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusStart
     */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
     * 获取 结束 状态 (0.未开始,1.进行中,2.已结束)
     * @return $processStatusEnd
     */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
     * 设置 结束 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusEnd
     */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
     * 获取 增加 状态 (0.未开始,1.进行中,2.已结束)
     * @return processStatusIncrement
     */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
     * 设置 增加 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusIncrement
     */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
     * 获取 状态 (0.未开始,1.进行中,2.已结束)
     * @return processStatusList
     */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
     * 设置 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusList
     */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
     * 获取 状态 (0.未开始,1.进行中,2.已结束)
     * @return processStatusNotList
     */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
     * 设置 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusNotList
     */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
     * 获取 开始 问卷是否外链(0.否,1.是)
     * @return weblinkStart
     */
    public Integer getWeblinkStart(){
        return this.weblinkStart;
    }

    /**
     * 设置 开始 问卷是否外链(0.否,1.是)
     * @param weblinkStart
     */
    public void setWeblinkStart(Integer weblinkStart){
        this.weblinkStart = weblinkStart;
    }

    /**
     * 获取 结束 问卷是否外链(0.否,1.是)
     * @return $weblinkEnd
     */
    public Integer getWeblinkEnd(){
        return this.weblinkEnd;
    }

    /**
     * 设置 结束 问卷是否外链(0.否,1.是)
     * @param weblinkEnd
     */
    public void setWeblinkEnd(Integer weblinkEnd){
        this.weblinkEnd = weblinkEnd;
    }

    /**
     * 获取 增加 问卷是否外链(0.否,1.是)
     * @return weblinkIncrement
     */
    public Integer getWeblinkIncrement(){
        return this.weblinkIncrement;
    }

    /**
     * 设置 增加 问卷是否外链(0.否,1.是)
     * @param weblinkIncrement
     */
    public void setWeblinkIncrement(Integer weblinkIncrement){
        this.weblinkIncrement = weblinkIncrement;
    }

    /**
     * 获取 问卷是否外链(0.否,1.是)
     * @return weblinkList
     */
    public List<Integer> getWeblinkList(){
        return this.weblinkList;
    }

    /**
     * 设置 问卷是否外链(0.否,1.是)
     * @param weblinkList
     */
    public void setWeblinkList(List<Integer> weblinkList){
        this.weblinkList = weblinkList;
    }

    /**
     * 获取 问卷是否外链(0.否,1.是)
     * @return weblinkNotList
     */
    public List<Integer> getWeblinkNotList(){
        return this.weblinkNotList;
    }

    /**
     * 设置 问卷是否外链(0.否,1.是)
     * @param weblinkNotList
     */
    public void setWeblinkNotList(List<Integer> weblinkNotList){
        this.weblinkNotList = weblinkNotList;
    }


    /**
     * 获取 问题外链地址
     * @return webUrlList
     */
    public List<String> getWebUrlList(){
        return this.webUrlList;
    }

    /**
     * 设置 问题外链地址
     * @param webUrlList
     */
    public void setWebUrlList(List<String> webUrlList){
        this.webUrlList = webUrlList;
    }

    /**
     * 获取 问题外链地址
     * @return webUrlNotList
     */
    public List<String> getWebUrlNotList(){
        return this.webUrlNotList;
    }

    /**
     * 设置 问题外链地址
     * @param webUrlNotList
     */
    public void setWebUrlNotList(List<String> webUrlNotList){
        this.webUrlNotList = webUrlNotList;
    }

    /**
     * 获取 备注说明
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注说明
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注说明
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注说明
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 表单内容
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 表单内容
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 表单内容
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 表单内容
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 获取 表单内容
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 表单内容
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }

    /**
     * 获取 表单内容
     * @return formContentNotList
     */
    public List<String> getFormContentNotList(){
        return this.formContentNotList;
    }

    /**
     * 设置 表单内容
     * @param formContentNotList
     */
    public void setFormContentNotList(List<String> formContentNotList){
        this.formContentNotList = formContentNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public FeedbackQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public FeedbackQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public FeedbackQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public FeedbackQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public FeedbackQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public FeedbackQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 问卷标题
     * @param title
     */
    public FeedbackQuery title(String title){
        setTitle(title);
        return this;
    }

    /**
     * 设置 问卷标题
     * @param titleList
     */
    public FeedbackQuery titleList(List<String> titleList){
        this.titleList = titleList;
        return this;
    }



    /**
     * 设置  邀请人数
     * @param inviteNum
     */
    public FeedbackQuery inviteNum(Integer inviteNum){
        setInviteNum(inviteNum);
        return this;
    }

    /**
     * 设置 开始 邀请人数
     * @param inviteNumStart
     */
    public FeedbackQuery inviteNumStart(Integer inviteNumStart){
        this.inviteNumStart = inviteNumStart;
        return this;
    }

    /**
     * 设置 结束 邀请人数
     * @param inviteNumEnd
     */
    public FeedbackQuery inviteNumEnd(Integer inviteNumEnd){
        this.inviteNumEnd = inviteNumEnd;
        return this;
    }

    /**
     * 设置 增加 邀请人数
     * @param inviteNumIncrement
     */
    public FeedbackQuery inviteNumIncrement(Integer inviteNumIncrement){
        this.inviteNumIncrement = inviteNumIncrement;
        return this;
    }

    /**
     * 设置 邀请人数
     * @param inviteNumList
     */
    public FeedbackQuery inviteNumList(List<Integer> inviteNumList){
        this.inviteNumList = inviteNumList;
        return this;
    }

    /**
     * 设置 邀请人数
     * @param inviteNumNotList
     */
    public FeedbackQuery inviteNumNotList(List<Integer> inviteNumNotList){
        this.inviteNumNotList = inviteNumNotList;
        return this;
    }

    /**
     * 设置  反馈人数
     * @param feedbackNum
     */
    public FeedbackQuery feedbackNum(Integer feedbackNum){
        setFeedbackNum(feedbackNum);
        return this;
    }

    /**
     * 设置 开始 反馈人数
     * @param feedbackNumStart
     */
    public FeedbackQuery feedbackNumStart(Integer feedbackNumStart){
        this.feedbackNumStart = feedbackNumStart;
        return this;
    }

    /**
     * 设置 结束 反馈人数
     * @param feedbackNumEnd
     */
    public FeedbackQuery feedbackNumEnd(Integer feedbackNumEnd){
        this.feedbackNumEnd = feedbackNumEnd;
        return this;
    }

    /**
     * 设置 增加 反馈人数
     * @param feedbackNumIncrement
     */
    public FeedbackQuery feedbackNumIncrement(Integer feedbackNumIncrement){
        this.feedbackNumIncrement = feedbackNumIncrement;
        return this;
    }

    /**
     * 设置 反馈人数
     * @param feedbackNumList
     */
    public FeedbackQuery feedbackNumList(List<Integer> feedbackNumList){
        this.feedbackNumList = feedbackNumList;
        return this;
    }

    /**
     * 设置 反馈人数
     * @param feedbackNumNotList
     */
    public FeedbackQuery feedbackNumNotList(List<Integer> feedbackNumNotList){
        this.feedbackNumNotList = feedbackNumNotList;
        return this;
    }

    /**
     * 设置  状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatus
     */
    public FeedbackQuery processStatus(Integer processStatus){
        setProcessStatus(processStatus);
        return this;
    }

    /**
     * 设置 开始 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusStart
     */
    public FeedbackQuery processStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
        return this;
    }

    /**
     * 设置 结束 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusEnd
     */
    public FeedbackQuery processStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
        return this;
    }

    /**
     * 设置 增加 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusIncrement
     */
    public FeedbackQuery processStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
        return this;
    }

    /**
     * 设置 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusList
     */
    public FeedbackQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
        return this;
    }

    /**
     * 设置 状态 (0.未开始,1.进行中,2.已结束)
     * @param processStatusNotList
     */
    public FeedbackQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
    }

    /**
     * 设置  问卷是否外链(0.否,1.是)
     * @param weblink
     */
    public FeedbackQuery weblink(Integer weblink){
        setWeblink(weblink);
        return this;
    }

    /**
     * 设置 开始 问卷是否外链(0.否,1.是)
     * @param weblinkStart
     */
    public FeedbackQuery weblinkStart(Integer weblinkStart){
        this.weblinkStart = weblinkStart;
        return this;
    }

    /**
     * 设置 结束 问卷是否外链(0.否,1.是)
     * @param weblinkEnd
     */
    public FeedbackQuery weblinkEnd(Integer weblinkEnd){
        this.weblinkEnd = weblinkEnd;
        return this;
    }

    /**
     * 设置 增加 问卷是否外链(0.否,1.是)
     * @param weblinkIncrement
     */
    public FeedbackQuery weblinkIncrement(Integer weblinkIncrement){
        this.weblinkIncrement = weblinkIncrement;
        return this;
    }

    /**
     * 设置 问卷是否外链(0.否,1.是)
     * @param weblinkList
     */
    public FeedbackQuery weblinkList(List<Integer> weblinkList){
        this.weblinkList = weblinkList;
        return this;
    }

    /**
     * 设置 问卷是否外链(0.否,1.是)
     * @param weblinkNotList
     */
    public FeedbackQuery weblinkNotList(List<Integer> weblinkNotList){
        this.weblinkNotList = weblinkNotList;
        return this;
    }


    /**
     * 设置 问题外链地址
     * @param webUrl
     */
    public FeedbackQuery webUrl(String webUrl){
        setWebUrl(webUrl);
        return this;
    }

    /**
     * 设置 问题外链地址
     * @param webUrlList
     */
    public FeedbackQuery webUrlList(List<String> webUrlList){
        this.webUrlList = webUrlList;
        return this;
    }


    /**
     * 设置 备注说明
     * @param remark
     */
    public FeedbackQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注说明
     * @param remarkList
     */
    public FeedbackQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public FeedbackQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public FeedbackQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public FeedbackQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public FeedbackQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public FeedbackQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public FeedbackQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public FeedbackQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public FeedbackQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public FeedbackQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public FeedbackQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public FeedbackQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public FeedbackQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置 表单内容
     * @param formContent
     */
    public FeedbackQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 表单内容
     * @param formContentList
     */
    public FeedbackQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<FeedbackQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<FeedbackQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<FeedbackQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<FeedbackQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}